<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<%
	boolean admin = UserUtils.getUser().isAdmin();
%>
<html>
<head>
	<title>物品目录</title>
	<meta name="decorator" content="default"/>


	<style>
		.widthClass{
			display: inline-block;
		}
		.shows .input-group{
			width: 48%!important;
		}
	</style>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="sysParameter" action="${ctx}/sysparameter/sysParameter/" method="post" class="form-inline">
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
					<div class="commonQuery ">
						<div class="layui-item query athird">
							<label class="layui-form-label">所属公司：</label>
							<div class="layui-input-block">
								<select id="company" name="company" onchange="getChange(this.value)" class=" form-control  simple-select">
									<c:if test="${ not empty list}">
										<c:forEach items="${list}" var="role" varStatus="index">
											<option value="${role.office.id}"/>${role.office.name}</option>
										</c:forEach>
									</c:if>
								</select>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">参数：</label>
							<div class="layui-input-block">
								<input id="parameter" name="parameter" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${sysParameter.parameter}" />
								</input>
							</div>
						</div>

						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div class="layui-item query athird">
							<label class="layui-form-label">名称：</label>
							<div class="layui-input-block">
								<input id="name" name="name" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${sysParameter.name}" />
								</input>
							</div>
						</div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
						<c:if test="<%=admin%>">
						<shiro:hasPermission name="sysparameter:sysParameter:add">
						<a href="javascript:void(0)" onclick="openDialogre('新增参数', '${ctx}/sysparameter/sysParameter/form?tabId=1','95%','95%')" class="nav-btn nav-btn-add" ><i class="fa fa-plus"></i>&nbsp;添加</a>
					    </shiro:hasPermission>
						</c:if>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>
				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'type',align:'center',sort: true, width:120,title: '分类', templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看参数', '${ctx}/sysparameter/sysParameter/form?id=" + d.id + "','95%','95%')\">" +
                            "<span title=" + d.type + ">" + d.type + "</span></a>";
                        return xml;
                    }},
                {field:'parameter',align:'center', minWidth:150, title: '参数',templet:function(d){
                        return "<span title='"+ d.parameter +"'>" + d.parameter + "</span>";
                    }}
                ,{field:'name',align:'center', minWidth:150, title: '名称',templet:function(d){
                        return "<span title='"+ d.name +"'>" + d.name + "</span>";
                    }}
                ,{field:'valueType',align:'center', minWidth:150, title: '值类型',templet:function(d){
                        return "<span title='"+ d.valueType +"'>" + d.valueType + "</span>";
                    }}
              /*  ,{field:'parameterValue',align:'center',minWidth:150, title: '参数值',templet:function(d){
                        return "<span title='"+ d.parameterValue +"'>" + d.parameterValue + "</span>";
                    }}*/
                ,{field:'isForce',align:'center',width:100, title: '强制单独定义', templet:function(d){
                        return "<span title='"+ d.isForce +"'>" + d.isForce + "</span>";
                    }}
                ,{align:'caozuo',align:'center',title:"操作",width:160,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                       // if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改系统参数', '${ctx}/sysparameter/sysParameter/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 定义参数值</a>";
                       // }
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="sysParameter" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${sysParameter.id}"
                    ,"type":"${fns:getDictLabel(sysParameter.type, 'parameter_type', '')}"
                    ,"parameter":"${sysParameter.parameter}"
                    ,"name":"${sysParameter.name}"
                    ,"valueType":"${fns:getDictLabel(sysParameter.valueType, 'value_type', '')}"
                   /* ,"parameterValue":"${sysParameter.parameterValue}"*/
                    ,"isForce":"${fns:getDictLabel(sysParameter.isForce, 'yes_no', '')}"
					<c:if test="${fns:getUser().id != sysParameter.createBy.id}">
                    ,"canedit":<c:choose><c:when test="${fns:getDictLabel(sysParameter.isForce, 'yes_no', '') == '是' }">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
					</c:if>
                    <c:if test="${fns:getUser().id == sysParameter.createBy.id}">
                    ,"canedit":"1"
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })
    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }

    function openDialogView(title,url,width,height){
        var company=$("#company").val();
        if(company==null||''==company){
            top.layer.msg("非管理员用户不能操作!", {icon: 5});
            return false;
        }
        url=url+"&company="+company;
        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            skin: 'one-btn',
            area: [width, height],
            title: title,
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['关闭'],
            cancel: function(index){
            }
        });

    }
    function openDialogre(title,url,width,height,target){
        var company=$("#company").val();
        if(company==null||''==company){
            top.layer.msg("非管理员用户不能修改!", {icon: 5});
            return false;
        }
        url=url+"&company="+company;
        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['提交','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }

</script>
</body>
</html>
